> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tapti.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All User Accounts



## OpenAPI

````yaml get /fusion/user-accounts
openapi: 3.0.0
info:
  title: Tapti Fusion API
  description: API for the Tapti Fusion platform
  version: '1.0'
  contact: {}
servers:
  - url: https://api.tapti.ai
security: []
tags: []
paths:
  /fusion/user-accounts:
    get:
      tags:
        - User Accounts
      summary: Get all accounts
      operationId: getAllUserAccounts
      parameters:
        - description: The user account ID (comma separated)
          name: user_account_ids
          required: true
          in: query
          schema:
            example: >-
              e2a18dda-624d-4c68-a608-c53c29a4852d,f3b29eeb-735e-4d69-b719-d64c28b4853e
      responses:
        '200':
          description: Accounts fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserAccountsResponseDto'
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    GetUserAccountsResponseDto:
      type: object
      properties:
        accounts:
          description: Account data
          type: array
          items:
            $ref: '#/components/schemas/UserAccountDto'
      required:
        - accounts
    UserAccountDto:
      type: object
      properties:
        id:
          type: string
          description: User Account ID
          example: 123e4567-e89b-12d3-a456-426614174000
        user_platform:
          type: string
          description: Platform type
          enum:
            - YOUTUBE
            - TIKTOK
            - INSTAGRAM
            - INSTAPRO
            - FACEBOOK
            - X
            - LINKEDIN
          example: YOUTUBE
        platform_account_id:
          type: string
          description: Platform-specific account identifier
          example: UC_12345678
        display_name:
          type: string
          description: Account display name
          example: John Doe
      required:
        - id
        - user_platform

````